import { _decorator, Component, Node } from 'cc';
import { ui_base } from './ui_base';
import { not_have_interact_data } from '../../../data/data';
import { tools } from '../../tools';
const { ccclass, property } = _decorator;

@ccclass('ui_not_have_interact')
export class ui_not_have_interact extends ui_base {
    private mNotHaveInteract:not_have_interact_data =null;
    protected init(): void {
        this.mNotHaveInteract = this.mTopData._not_have_interact_data;
        if(this.mNotHaveInteract===null){
            return tools.showToast("配置正常弹窗无交互，错误！")
        }
        this.loadBg(this.mNotHaveInteract.bg)
    }
}


